package com.bonus.canteen.core.nutrition.common.vo;

import com.bonus.canteen.core.common.encrypt.HandleType;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@LeNiuDecryptDataProcess
@ApiModel("健康监测记录")
public class HealthBodyRecordPageVO {
   @ApiModelProperty("记录日期")
   private LocalDateTime registerDate;
   @ApiModelProperty("身高cm")
   private BigDecimal height;
   @ApiModelProperty("体重kg")
   private BigDecimal weight;
   @ApiModelProperty("体重指数 BMI = 体重（千克）/身高（米）的平方即kg/m2")
   private BigDecimal bmi;
   @ApiModelProperty("体型")
   private String shape;
   @ApiModelProperty("血压 高压")
   private BigDecimal bloodPressureHigh;
   @ApiModelProperty("血压 低压")
   private BigDecimal bloodPressureLow;
   @ApiModelProperty("心率（次/分）")
   private BigDecimal heartRate;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员Id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("手机号")
   @LeNiuDecryptField(HandleType.DESENSITIZE_MOBILE_PHONE)
   private String mobile;
   @ApiModelProperty("所属组织")
   private String orgFullName;
   @ApiModelProperty("健康信息录入来源 1-系统录入 2-身高体重秤")
   private Integer healthInfoSource;
   @ApiModelProperty("性别 1-男 2-女")
   private Integer sex;

   public LocalDateTime getRegisterDate() {
      return this.registerDate;
   }

   public BigDecimal getHeight() {
      return this.height;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public String getShape() {
      return this.shape;
   }

   public BigDecimal getBloodPressureHigh() {
      return this.bloodPressureHigh;
   }

   public BigDecimal getBloodPressureLow() {
      return this.bloodPressureLow;
   }

   public BigDecimal getHeartRate() {
      return this.heartRate;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getHealthInfoSource() {
      return this.healthInfoSource;
   }

   public Integer getSex() {
      return this.sex;
   }

   public void setRegisterDate(final LocalDateTime registerDate) {
      this.registerDate = registerDate;
   }

   public void setHeight(final BigDecimal height) {
      this.height = height;
   }

   public void setWeight(final BigDecimal weight) {
      this.weight = weight;
   }

   public void setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
   }

   public void setShape(final String shape) {
      this.shape = shape;
   }

   public void setBloodPressureHigh(final BigDecimal bloodPressureHigh) {
      this.bloodPressureHigh = bloodPressureHigh;
   }

   public void setBloodPressureLow(final BigDecimal bloodPressureLow) {
      this.bloodPressureLow = bloodPressureLow;
   }

   public void setHeartRate(final BigDecimal heartRate) {
      this.heartRate = heartRate;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setHealthInfoSource(final Integer healthInfoSource) {
      this.healthInfoSource = healthInfoSource;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getRegisterDate());
      return "HealthBodyRecordPageVO(registerDate=" + var10000 + ", height=" + String.valueOf(this.getHeight()) + ", weight=" + String.valueOf(this.getWeight()) + ", bmi=" + String.valueOf(this.getBmi()) + ", shape=" + this.getShape() + ", bloodPressureHigh=" + String.valueOf(this.getBloodPressureHigh()) + ", bloodPressureLow=" + String.valueOf(this.getBloodPressureLow()) + ", heartRate=" + String.valueOf(this.getHeartRate()) + ", custNum=" + this.getCustNum() + ", custId=" + this.getCustId() + ", custName=" + this.getCustName() + ", mobile=" + this.getMobile() + ", orgFullName=" + this.getOrgFullName() + ", healthInfoSource=" + this.getHealthInfoSource() + ", sex=" + this.getSex() + ")";
   }
}
